Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class ColumnInfoRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.ColumnInfoRecord

public class ColumnInfoRecord
extends Record

Title: ColumnInfo Record

Description: Defines with width and formatting for a range of columns

REFERENCE: PG 293 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Version:
  2.0-pre
Author:
  Andrew C. Oliver (acoliver at apache dot org)

Field Summary
`static short` | `sid`

Constructor Summary
`ColumnInfoRecord()`
`ColumnInfoRecord(short id, short size, byte[] data)` Constructs a ColumnInfo record and sets its fields appropriately
`ColumnInfoRecord(short id, short size, byte[] data, int offset)` Constructs a ColumnInfo record and sets its fields appropriately

Method Summary
`java.lang.Object` | `clone()`
`protected void` | `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`boolean` | `getCollapsed()` get whether the cells are collapsed
`short` | `getColumnWidth()` get the columns' width in 1/256 of a character width
`short` | `getFirstColumn()` get the first column this record defines formatting info for
`boolean` | `getHidden()` get whether or not these cells are hidden
`short` | `getLastColumn()` get the last column this record defines formatting info for
`short` | `getOptions()` get the options bitfield - use the bitsetters instead
`short` | `getOutlineLevel()` get the outline level for the cells
`int` | `getRecordSize()` gives the current serialized size of the record.
`short` | `getSid()` return the non static version of the id for this record.
`short` | `getXFIndex()` get the columns' default format info
`int` | `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` | `setCollapsed(boolean iscollapsed)` set whether the cells are collapsed
`void` | `setColumnWidth(short cw)` set the columns' width in 1/256 of a character width
`void` | `setFirstColumn(short fc)` set the first column this record defines formatting info for
`void` | `setHidden(boolean ishidden)` set whether or not these cells are hidden
`void` | `setLastColumn(short lc)` set the last column this record defines formatting info for
`void` | `setOptions(short options)` set the options bitfield - use the bitsetters instead
`void` | `setOutlineLevel(short olevel)` set the outline level for the cells
`void` | `setXFIndex(short xfi)` set the columns' default format info
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)
`protected void` | `validateSid(short id)` called by constructor, should throw runtime exception in the event of a record passed with a differing ID.

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### ColumnInfoRecord

    public ColumnInfoRecord()

### ColumnInfoRecord

    public ColumnInfoRecord(short id,
                            short size,
                            byte[] data)

  Constructs a ColumnInfo record and sets its fields appropriately

Parameters:
  `id` - id must be 0x7d or an exception will be throw upon validation
  `size` - the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### ColumnInfoRecord

    public ColumnInfoRecord(short id,
                            short size,
                            byte[] data,
                            int offset)

  Constructs a ColumnInfo record and sets its fields appropriately

Parameters:
  `id` - id must be 0x7d or an exception will be throw upon validation
  `size` - the size of the data area of the record
  `data` - data of the record (should not contain sid/len)
  `offset` - of the record's data

Method Detail

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### validateSid

    protected void validateSid(short id)

  Description copied from class: `Record`
  called by constructor, should throw runtime exception in the event of a record passed with a differing ID.

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - alleged id for this record

### setFirstColumn

    public void setFirstColumn(short fc)

  set the first column this record defines formatting info for

  Parameters:
    `fc` - - the first column index (0-based)

### setLastColumn

    public void setLastColumn(short lc)

  set the last column this record defines formatting info for

  Parameters:
    `lc` - - the last column index (0-based)

### setColumnWidth

    public void setColumnWidth(short cw)

  set the columns' width in 1/256 of a character width

  Parameters:
    `cw` - - column width

### setXFIndex

    public void setXFIndex(short xfi)

  set the columns' default format info

  Parameters:
    `xfi` - - the extended format index
  See Also:
    `ExtendedFormatRecord`

### setOptions

    public void setOptions(short options)

  set the options bitfield - use the bitsetters instead

  Parameters:
    `options` - - the bitfield raw value

### setHidden

    public void setHidden(boolean ishidden)

  set whether or not these cells are hidden

  Parameters:
    `ishidden` - - whether the cells are hidden.
  See Also:
    `setOptions(short)`

### setOutlineLevel

    public void setOutlineLevel(short olevel)

  set the outline level for the cells

  Parameters:
    `olevel` - -outline level for the cells
  See Also:
    `setOptions(short)`

### setCollapsed

    public void setCollapsed(boolean iscollapsed)

  set whether the cells are collapsed

  Parameters:
    `iscollapsed` - - wether the cells are collapsed
  See Also:
    `setOptions(short)`

### getFirstColumn

    public short getFirstColumn()

  get the first column this record defines formatting info for

  Returns:
    the first column index (0-based)

### getLastColumn

    public short getLastColumn()

  get the last column this record defines formatting info for

  Returns:
    the last column index (0-based)

### getColumnWidth

    public short getColumnWidth()

  get the columns' width in 1/256 of a character width

  Returns:
    column width

### getXFIndex

    public short getXFIndex()

  get the columns' default format info

  Returns:
    the extended format index
  See Also:
    `ExtendedFormatRecord`

### getOptions

    public short getOptions()

  get the options bitfield - use the bitsetters instead

  Returns:
    the bitfield raw value

### getHidden

    public boolean getHidden()

  get whether or not these cells are hidden

  Returns:
    whether the cells are hidden.
  See Also:
    `setOptions(short)`

### getOutlineLevel

    public short getOutlineLevel()

  get the outline level for the cells

  Returns:
    outline level for the cells
  See Also:
    `setOptions(short)`

### getCollapsed

    public boolean getCollapsed()

  get whether the cells are collapsed

  Returns:
    wether the cells are collapsed
  See Also:
    `setOptions(short)`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Description copied from class: `Record`
  gives the current serialized size of the record. Should include the sid and reclength (4 bytes).

  Overrides:
    `getRecordSize` in class `Record`

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.